Last Comment Bug 796218 - make sure social docshells are marked as "inactive" by default
: make sure social docshells are marked as "inactive" by default
Status: RESOLVED FIXED
[Fx17]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 18
Assigned To: :Felipe Gomes (needinfo me!) [offline until Jun 24]
:
Mentors:
Depends on: 766616
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 17:09 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2013-12-27 14:26 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Patch (1.04 KB, patch)
2012-10-01 21:29 PDT, :Felipe Gomes (needinfo me!) [offline until Jun 24]
jaws: review+
Details | Diff | Review

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-01 17:09:27 PDT
In bug 784238 and bug 779360 we made the social panels all set their docshell's "active" property according to their display state, so that the mozSocial API could use it to determine visibility.

In those bugs it looks like we didn't do anything to ensure that the default state for the hidden panels is "inactive" - we should do that, since the "active" property also controls whether tabs are throttled ("background" tabs get fewer resources).

This should just involve setting isActive = false in the initialization code for all of the panels.
Comment 1 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-10-01 21:29:29 PDT
Created attachment 666841 [details] [diff] [review]
Patch

Obvious patch, builds on top of the patch from bug 766616
Comment 2 Asa Dotzler [:asa] 2012-10-05 10:26:34 PDT
If this needs to land for v1, let's be sure to land it ASAP.
Comment 3 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-10-05 18:00:23 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/d8ec55d3b98e
Comment 4 Phil Ringnalda (:philor) 2012-10-05 20:29:19 PDT
Backed out in https://hg.mozilla.org/integration/mozilla-inbound/rev/9b9678df7672 because something in the push was hitting "browser_frameworker.js | sub-test testEarlyClose failed: [Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.nukeSandbox]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)" location: "JS frame :: resource://gre/modules/FrameWorker.jsm :: terminate :: line 239" data: no]" and "browser_frameworker.js | check that websockets worked - Got FAILED calling WebSocket constructor: TypeError: WebSocket is not a constructor, expected ok" and I didn't know which (though I presume bug 790201), and didn't know interconnectedness among them.
Comment 5 Mark Hammond [:markh] 2012-10-06 00:09:05 PDT
relanded: https://hg.mozilla.org/integration/mozilla-inbound/rev/61e6d94f8216
Comment 6 Ed Morley [:emorley] 2012-10-06 12:42:06 PDT
https://hg.mozilla.org/mozilla-central/rev/61e6d94f8216
Comment 7 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-10-07 03:56:56 PDT
fixed in aurora with cset https://hg.mozilla.org/releases/mozilla-aurora/rev/b69ca3697450

Note You need to log in before you can comment on or make changes to this bug.